Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 6348)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 6349)
@@ -8,10 +8,4 @@
 # Set LDMZ_10m_winds to choose if the simulation will use online 10m wind (=y) or offline (=n)
 LMDZ_10m_winds=y
-#choose threshold (10m winds)  parameter value
-wind_parameter=0.78
-#choose seasalt correctif
-seasalt_corr=1.06
-# heat fluxes computed with feedback corresponding to 0 --> no aerosol effects, 1--> aerosol effects selected by ok_ade, ok_aie
-feedb=0
 #coupled model with ORCH
 #if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
@@ -26,10 +20,8 @@
 
 # Specify output frequency for output files 
-# File aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage it from this card
-# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
 # if you choose 1d the file will be store in CHM/Output/DA
 # if you choose 1mo the file will be store in CHM/Output/MO
 # if you choose another frequency, the file will be store in CHM/Output/DA by default
-
 output_frequency_ges=1d
 
Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/lmdz.card	(revision 6348)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/lmdz.card	(revision 6349)
@@ -5,5 +5,5 @@
 # Physics package to use :
 # LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
-LMDZ_Physics=NPv6.1.3
+LMDZ_Physics=NPv6.2
 
 
@@ -30,6 +30,6 @@
 ByPass_hgardfou_teta=n
 
-# ByPass_hgardfou_mats=y : set parameter purmats=y for following CumulPeriod only
-ByPass_hgardfou_mats=n
+# Set tau_gl depending on the forcing file for the sea-ice (use 2. for amip and 1. for hadisst)
+tau_gl=2.
 
 
@@ -47,5 +47,4 @@
 output_level_histhfNMC  = NONE
 output_level_histstrataer = NONE
-output_level_histdaystrataer = NONE
 output_level_histstn      = NONE
 
@@ -87,5 +86,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
-        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
+        (${SUBMIT_DIR}/PARAM/file_def_histmth_lmdz.xml, . ),   	 	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
@@ -106,5 +105,5 @@
 
 [OutputText]
-List=   (physiq.def, run.def, traceur.def, config.def, vert.def, used_run.def, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt)
+List=   (physiq.def, run.def, tracer.def, config.def, vert.def, used_run.def, context_lmdz.xml, field_def_lmdz.xml, file_def_*lmdz.xml, debug.01, lmdz.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/orchidee.card	(revision 6348)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/orchidee.card	(revision 6349)
@@ -3,7 +3,17 @@
 
 [UserChoices]
+# VEGET_UPDATE_at_start=y : orchidee.driver will set VEGET_UPDATE=1Y at the first cumul period when starting a new simulation. 
+#                           After the first period, VEGET_UPDATE will be set according to the choice done below.  
+VEGET_UPDATE_at_start=n
+
 # VEGET_UPDATE=0Y : default, do not update the vegetation and woodharvest file except if starting without restart file
 # VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
 VEGET_UPDATE=0Y
+
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=simple
 
 # Specify output level for output files
@@ -33,4 +43,5 @@
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v2/PFTmap_2000.nc, PFTmap.nc),\
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical4/woodharvest_2000.nc,          woodharvest.nc),\
+	    (${R_IN}/SRF/ROUTING/routing_simple.nc, .)
 
 [SmoothFiles]
@@ -39,5 +50,5 @@
 [ParametersFiles]
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def, .)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
+	(${SUBMIT_DIR}/PARAM/file_def_orchidee.xml, .)  ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_routing_orchidee.xml, .)   ,\
@@ -46,8 +57,9 @@
 
 [RestartFiles]
-List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc) ,\
+        (routing_restart.nc, routing_restart.nc, routing_start.nc)
 
 [OutputText]
-List=   (out_orchidee*, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_routing_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_routing_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]