Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/DUSS_piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/DUSS_piControl/config.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/DUSS_piControl/config.card	(revision 6358)
@@ -206,5 +206,5 @@
 CPL= ("", "" )
 CHM= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_historical_CMIP6/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_historical_CMIP6/COMP/inca.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_historical_CMIP6/COMP/inca.card	(revision 6358)
@@ -42,5 +42,5 @@
      (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/BBG/sflx_lmdz_BBG_${year}_phy.nc	,   sflx_BBG.nc         ),\
      (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/Historical/v1/aircraft_${year}_phy.nc			,   aircraft_mth.nc     ),\
-     (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM_XY}/sad_cmip6_${year}.nc					,   sad.nc		)
+     (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_${year}.nc					,   sad.nc		)
 
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_historical_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_historical_CMIP6/config.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_historical_CMIP6/config.card	(revision 6358)
@@ -201,5 +201,5 @@
 CPL= ("", "" )
 CHM= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card	(revision 6358)
@@ -27,5 +27,5 @@
 emi_interp_time=1
 #activate the flag cmip_xml if you are running a CMIP experiment
-cmip_xml=y
+cmip_xml=n
 
 
@@ -44,5 +44,5 @@
      	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/BBG/sflx_lmdz_BBG_1850_phy.nc	,   sflx_BBG.nc         ),\
      	    (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/Historical/v1/aircraft_1850_phy.nc		,   aircraft_mth.nc     ),\
-     	    (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM_XY}/sad_cmip6_1850.nc					,   sad.nc		),\
+     	    (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_1850.nc					,   sad.nc		),\
 	    (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc							,   npp.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc		  			,   o3lin.nc		)\
@@ -65,5 +65,5 @@
 List=	(${SUBMIT_DIR}/PARAM/inca.def, .),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca_CM5A2.xml, field_def_inca.xml) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, field_def_inca.xml) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily_CM5A2.xml, file_def_inca_daily.xml), \
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl/config.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl/config.card	(revision 6358)
@@ -199,5 +199,5 @@
 CPL= ("", "" )
 CHM= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl_CMIP6/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl_CMIP6/COMP/inca.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl_CMIP6/COMP/inca.card	(revision 6358)
@@ -44,5 +44,5 @@
      	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/BBG/sflx_lmdz_BBG_1850_phy.nc	,   sflx_BBG.nc         ),\
      	    (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/Historical/v1/aircraft_1850_phy.nc		,   aircraft_mth.nc     ),\
-     	    (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM_XY}/sad_cmip6_1850.nc					,   sad.nc		),\
+     	    (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_1850.nc					,   sad.nc		),\
 	    (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc							,   npp.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc		  			,   o3lin.nc		)\
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl_CMIP6/config.card	(revision 6240)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT.2/EXPERIMENTS/IPSLCMCHT/S_piControl_CMIP6/config.card	(revision 6358)
@@ -201,5 +201,5 @@
 CPL= ("", "" )
 CHM= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
 
 #========================================================================