Index: TOOLS/MOSAIX/CreateWeightsMask.bash
===================================================================
--- TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 6190)
+++ TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 6360)
@@ -6,5 +6,5 @@
 #MSUB -T 7200              # Time limit (seconds)
 #MSUB -Q normal
-#MSUB -q skylake
+#MSUB -q rome
 #MSUB -p devcmip6
 #MSUB -m work,store,scratch
@@ -82,5 +82,5 @@
 echo ${Titre}"Defines model"${Norm}
 # =================================
-CplModel=ORCA2.3xLMD9695
+#CplModel=ORCA2.3xLMD9695
 #CplModel=ORCA2.3xICO30
 #CplModel=ORCA2.3xICO40
@@ -93,9 +93,10 @@
 #CplModel=eORCA1.2xICO450
 #CplModel=eORCA025.1xLMD256256
+CplModel=eORCA1.4.2xICO80
 
 #Version="v0" ; Comment="Fully tested in IPSLCM6 eORCA1.2 x LMD 144x142"
 #Version="v1" ; Comment="Fully tested in IPSLCM6 eORCA1.2 x LMD 144x142"
 #Version="NoSearchRadius" ; Comment="For testing new routing"
-Version="v2" ; Comment="Correction of ORCA masks to have a perfect conservation of run-off"
+Version="v3" ; Comment="Correction of ORCA masks to have a perfect conservation of run-off"
 
 # If available, get model name from job name
@@ -291,6 +292,6 @@
     module purge
     source ${SUBMIT_DIR}/arch.env
-    module load nco/4.9.1
-    module load cdo/1.9.5
+    module load nco #/4.9.1
+    module load cdo #/1.9.5
     module load python3 
     module load datadir/igcmg
@@ -441,6 +442,6 @@
 ## ===========================================================================
 cp dia_t${oce}_to_t${atm}_${FullName}.nc  dia_t${oce}_to_t${atm}_${FullName}_mask.nc
-ncks --alphabetize --history --overwrite --variable OceFrac dia_t${oce}_to_t${atm}_${FullName}_mask.nc ${ATM}_grid_maskFrom_${OCE}.nc
-ncatted  --history --attribute name,global,m,c,"${ATM}_grid_maskFrom_${OCE}.nc" ${ATM}_grid_maskFrom_${OCE}.nc
+ncks --no_abc --history --overwrite --variable OceFrac dia_t${oce}_to_t${atm}_${FullName}_mask.nc ${ATM}_grid_maskFrom_${OCE}.nc
+ncatted --history --attribute ,global,d,c, ${ATM}_grid_maskFrom_${OCE}.nc
 
 cat <<EOF > creation_masque.nco
@@ -484,8 +485,8 @@
 fi
 
-ncks --history --alphabetize --append --variable aire atm_grid.nc ${ATM}_grid_maskFrom_${OCE}.nc
+ncks --history --no_abc --append --variable aire atm_grid.nc ${ATM}_grid_maskFrom_${OCE}.nc
 ncatted  --history --attribute units,aire,m,c,"m^2" ${ATM}_grid_maskFrom_${OCE}.nc
 
-[[ ${atm} = *ico* ]] && ncks --alphabetize --history --append --variable bounds_lon,bounds_lat atm_grid.nc ${ATM}_grid_maskFrom_${OCE}.nc
+[[ ${atm} = *ico* ]] && ncks --no_abc --history --append --variable bounds_lon,bounds_lat atm_grid.nc ${ATM}_grid_maskFrom_${OCE}.nc
 
 ##
@@ -627,5 +628,5 @@
 # Duplicate with no global attribute to avoid erasing attributes in other files
 cp ${ATM}_grid_maskFrom_${OCE}.nc ${ATM}_grid_maskFrom_${OCE}_noglobal.nc
-ncatted --history --attribute,global,d,c, ${ATM}_grid_maskFrom_${OCE}_noglobal.nc
+ncatted --history --attribute ,global,d,c, ${ATM}_grid_maskFrom_${OCE}_noglobal.nc
 
 ##
@@ -747,5 +748,5 @@
 	if [[ ${o_to_a} = true ]] ; then
 	    ncap2 --history --append --script-file add_varatm_$(basename ${rmpFile} .nc)_o_to_a.nco ${ATM}_grid_maskFrom_${OCE}_noglobal.nc ${rmpFile}
-	    ncks --alphabetize --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_corner_lon,src_grid_corner_lat,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_corner_lon,dst_grid_corner_lat,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
+	    ncks --no_abc --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_corner_lon,src_grid_corner_lat,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_corner_lon,dst_grid_corner_lat,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
 	    mv rmp_tmp.nc ${rmpFile}
 	fi
@@ -755,5 +756,5 @@
 	if [[ ${a_to_o} = true ]] ; then
 	    ncap2 --history --append --script-file add_varatm_$(basename ${rmpFile} .nc)_a_to_o.nco ${ATM}_grid_maskFrom_${OCE}_noglobal.nc ${rmpFile}
-	    ncks --alphabetize --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_corner_lon,src_grid_corner_lat,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_corner_lon,dst_grid_corner_lat,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
+	    ncks --no_abc --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_corner_lon,src_grid_corner_lat,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_corner_lon,dst_grid_corner_lat,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
 	    mv rmp_tmp.nc ${rmpFile}
 	fi
@@ -791,5 +792,5 @@
 	if [[ ${o_to_a} = true ]] ; then
 	    ncap2 --history --append --script-file add_varatm_$(basename ${rmpFile} .nc)_o_to_a.nco ${ATM}_grid_maskFrom_${OCE}_noglobal.nc ${rmpFile}
-	    ncks --alphabetize --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_corner_lon,src_grid_corner_lat,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
+	    ncks --no_abc --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_corner_lon,src_grid_corner_lat,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
 	    mv rmp_tmp.nc ${rmpFile}
 	fi
@@ -799,5 +800,5 @@
 	if [[ ${a_to_o} = true ]] ; then
 	    ncap2 --history --append --script-file add_varatm_$(basename ${rmpFile} .nc)_a_to_o.nco ${ATM}_grid_maskFrom_${OCE}_noglobal.nc ${rmpFile}
-	    ncks --alphabetize --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_corner_lon,dst_grid_corner_lat,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
+	    ncks --no_abc --history --overwrite --variable src_address,dst_address,remap_matrix,src_grid_dims,src_grid_center_lat,src_grid_center_lon,src_grid_area,src_grid_imask,dst_grid_dims,dst_grid_center_lat,dst_grid_center_lon,dst_grid_corner_lon,dst_grid_corner_lat,dst_grid_area,dst_grid_imask ${rmpFile} rmp_tmp.nc
 	    mv rmp_tmp.nc ${rmpFile}
 	fi
@@ -845,6 +846,12 @@
 	;;
 	
-	( eORCA1.2 | eORCA1.4 )
-	cp ${R_IN}/OCE/NEMO/${OCE}/OPA/runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc .
+	( eORCA1.2 | eORCA1.4 | eORCA1.4.2 )
+
+	case ${OCE} in
+	    ( eORCA1.2 | eORCA1.4 ) 
+	    cp ${R_IN}/OCE/NEMO/${OCE}/OPA/runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc . ;;
+	    ( eORCA1.4.2 ) 
+	    cp ${R_IN}/OCE/NEMO/${OCE}/OPA/eORCA1.4.2_runoff-icb_DaiTrenberth_Depoorter.nc runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc ;;
+	esac
 	
 	${PyRun} python3 -u CalvingWeights.py --output=rmp_t${atm}_to_t${oce}_calving_nosouth.nc  --fmt=${FMT_XIOS} \