Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 6375)
+++ modipsl/trunk/util/mod.def	(revision 6379)
@@ -461,18 +461,19 @@
 
 #-H- ICOLMDZORINCA_v7.1  DYNAMICO- LMDZ - ORCHIDEE - INCA  configuration version (without nudging in DYNAMICO) 
-#-C- ICOLMDZORINCA_v7.1  aquaplanet/ICOSA_LMDZ               449          19   ICOSA_LMDZ	modeles
-#-C- ICOLMDZORINCA_v7.1  IOIPSL/tags/v2_2_5			6058	     8    IOIPSL	modeles
-#-C- ICOLMDZORINCA_v7.1  trunk2master                        21f9cdf4     21   DYNAMICO      modeles
-#-C- ICOLMDZORINCA_v7.1  branches/ORCHIDEE_2_2/ORCHIDEE     	6594         14   ORCHIDEE	modeles
-#-C- ICOLMDZORINCA_v7.1  LMDZ6/branches/LMDZ-INCA-Dyn        3965         20   LMDZ		modeles
-#-C- ICOLMDZORINCA_v7.1  branches/INCA_DYNAMICOXIOS	      	995	     9	  INCA		modeles
-#-C- ICOLMDZORINCA_v7.1  XIOS/trunk                         	2106         12   XIOS		modeles
-#-C- ICOLMDZORINCA_v7.1  CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7 	5909         8    ICOLMDZORINCA_v7	config
-#-C- ICOLMDZORINCA_v7.1  trunk/libIGCM                      	1545   	     10   libIGCM      	.
+#-C- ICOLMDZORINCA_v7.1  aquaplanet/ICOSA_LMDZ               		 449          19   ICOSA_LMDZ	modeles
+#-C- ICOLMDZORINCA_v7.1  IOIPSL/tags/v2_2_5				 6058	      8    IOIPSL	modeles
+#-C- ICOLMDZORINCA_v7.1  trunk2master                        		 21f9cdf4     21   DYNAMICO      modeles
+#-C- ICOLMDZORINCA_v7.1  branches/ORCHIDEE_2_2/ORCHIDEE     		 6594         14   ORCHIDEE	modeles
+#-C- ICOLMDZORINCA_v7.1  LMDZ6/branches/LMDZ-INCA-Dyn        		 3965         20   LMDZ		modeles
+#-C- ICOLMDZORINCA_v7.1  branches/INCA_DYNAMICOXIOS	      		 995	      9	   INCA		modeles
+#-C- ICOLMDZORINCA_v7.1  XIOS/trunk                         		 2106         12   XIOS		modeles
+#-C- ICOLMDZORINCA_v7.1  CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7 		 5909         8    ICOLMDZORINCA_v7	config
+#-C- ICOLMDZORINCA_v7.1  CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/ARCH 	 6378         8    ARCH			config/ICOLMDZORINCA_v7
+#-C- ICOLMDZORINCA_v7.1  trunk/libIGCM                      		 1545         10   libIGCM     	.
 
 #-H- ICOLMDZORINCA_v7.2  DYNAMICO - LMDZ - ORCHIDEE - INCA configuration version close to v7.1 with nudging
-#-C- ICOLMDZORINCA_v7.2  aquaplanet/ICOSA_LMDZ_LAM		HEAD          19   ICOSA_LMDZ	modeles
+#-C- ICOLMDZORINCA_v7.2  aquaplanet/ICOSA_LMDZ_LAM		HEAD         19   ICOSA_LMDZ	modeles
 #-C- ICOLMDZORINCA_v7.2  IOIPSL/tags/v2_2_5			6058	     8    IOIPSL	modeles
-#-C- ICOLMDZORINCA_v7.2  rebase/trunk/nudging                	f1b2f3fe      21   DYNAMICO      modeles
+#-C- ICOLMDZORINCA_v7.2  rebase/trunk/nudging                	f1b2f3fe     21   DYNAMICO      modeles
 #-C- ICOLMDZORINCA_v7.2  branches/ORCHIDEE_2_2/ORCHIDEE     	6594         14   ORCHIDEE	modeles
 #-C- ICOLMDZORINCA_v7.2  LMDZ6/branches/LMDZ-INCA-Dyn        	3965         20   LMDZ		modeles
@@ -480,4 +481,5 @@
 #-C- ICOLMDZORINCA_v7.2  XIOS/trunk                         	2285         12   XIOS		modeles
 #-C- ICOLMDZORINCA_v7.2  CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7 	6060         8    ICOLMDZORINCA_v7	config
+#-C- ICOLMDZORINCA_v7.2  CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/ARCH 6378        8    ARCH			config/ICOLMDZORINCA_v7
 #-C- ICOLMDZORINCA_v7.2  trunk/libIGCM                      	1581   	     10   libIGCM      	.
 
@@ -621,5 +623,5 @@
 #-C- LMDZORINCA_v6.2.2  XIOS/trunk                         	2029    12   XIOS		modeles
 #-C- LMDZORINCA_v6.2.2  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2  	5702    8    LMDZORINCA_v6	config
-#-C- LMDZORINCA_v6.2.2  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/ARCH 	6129    8    ARCH       	config/LMDZORINCA_v6
+#-C- LMDZORINCA_v6.2.2  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/ARCH 	6376    8    ARCH       	config/LMDZORINCA_v6
 #-C- LMDZORINCA_v6.2.2  trunk/libIGCM                      	1581   	10   libIGCM      	.
 
@@ -633,5 +635,5 @@
 #-C- LMDZORINCA_v6.2_work  trunk/INCA6			      	1079    9    INCA		modeles
 #-C- LMDZORINCA_v6.2_work  XIOS2/trunk                         	2439    12   XIOS		modeles
-#-C- LMDZORINCA_v6.2_work  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2  	6343    8    LMDZORINCA_v6	config
+#-C- LMDZORINCA_v6.2_work  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2  	6376    8    LMDZORINCA_v6	config
 #-C- LMDZORINCA_v6.2_work  trunk/libIGCM                      	1581   	10   libIGCM      	.
 