Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/ARCH/arch-X64_IRENE-AMD.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/ARCH/arch-X64_IRENE-AMD.env	(revision 6384)
@@ -1,15 +1,13 @@
-# Compile and running environnemnet at Irene Amd / TGCC 
+# Compile and running environnemnet at Irene Amd / TGCC on redhat8
 
-# Allow error messages related to purge
 set +e
 module purge
-#set -e
-
-module load intel/19.0.5.281
-module load mpi/openmpi/4.0.5
-module switch feature/openmpi/net/ib/ucx-rc
-module load flavor/hdf5/parallel netcdf-fortran/4.4.4 hdf5/1.8.20
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco/4.9.1 cdo/1.9.5
-module load c++/gnu/7.3 c/gnu/7.3
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/ARCH/arch-X64_IRENE.env
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/ARCH/arch-X64_IRENE.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/ARCH/arch-X64_IRENE.env	(revision 6384)
@@ -1,19 +1,12 @@
-# Compile and running environnemnet at Irene Skylake 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnemnet at Irene SKL / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/17.0.6.256
-module load mpi/openmpi/2.0.4
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
 module load flavor/hdf5/parallel
-module load netcdf-fortran/4.4.4
-module load mkl/17.0.6.256
-module load hdf5/1.8.20
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco
-module load cdo
-module load c++/gnu/7.3.0
-module load c/gnu/7.3.0
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE-AMD.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE-AMD.env	(revision 6384)
@@ -1,15 +1,12 @@
-# Compile and running environnemnet at Irene Amd / TGCC 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnemnet at Irene Amd / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/19.0.5.281
-module load mpi/openmpi/4.0.5
-module switch feature/openmpi/net/ib/ucx-rc
-module load flavor/hdf5/parallel netcdf-fortran/4.4.4 hdf5/1.8.20
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco/4.9.1 cdo/1.9.5
-module load c++/gnu/7.3 c/gnu/7.3
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.env
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.env	(revision 6384)
@@ -1,19 +1,12 @@
-# Compile and running environnemnet at Irene Skylake 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnemnet at Irene SKL / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/17.0.6.256
-module load mpi/openmpi/2.0.4
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
 module load flavor/hdf5/parallel
-module load netcdf-fortran/4.4.4
-module load mkl/17.0.6.256
-module load hdf5/1.8.20
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco
-module load cdo
-module load c++/gnu/7.3.0
-module load c/gnu/7.3.0
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/IPSLCM7.0/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /CONFIG/UNIFORM/v7/IPSLCM7.0/ARCH/arch-X64_IRENE-AMD.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/IPSLCM7.0/ARCH/arch-X64_IRENE-AMD.env	(revision 6384)
@@ -1,15 +1,12 @@
-# Compile and running environnemnet at Irene Amd / TGCC 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnemnet at Irene Amd / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/19.0.5.281
-module load mpi/openmpi/4.0.5
-module switch feature/openmpi/net/ib/ucx-rc
-module load flavor/hdf5/parallel netcdf-fortran/4.4.4 hdf5/1.8.20
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco/4.9.1 cdo/1.9.5
-module load c++/gnu/7.3 c/gnu/7.3
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/IPSLCM7.0/ARCH/arch-X64_IRENE.env
===================================================================
--- /CONFIG/UNIFORM/v7/IPSLCM7.0/ARCH/arch-X64_IRENE.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/IPSLCM7.0/ARCH/arch-X64_IRENE.env	(revision 6384)
@@ -1,19 +1,12 @@
-# Compile and running environnemnet at Irene Skylake 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnemnet at Irene SKL / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/17.0.6.256
-module load mpi/openmpi/2.0.4
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
 module load flavor/hdf5/parallel
-module load netcdf-fortran/4.4.4
-module load mkl/17.0.6.256
-module load hdf5/1.8.20
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco
-module load cdo
-module load c++/gnu/7.3.0
-module load c/gnu/7.3.0
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE-AMD.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE-AMD.env	(revision 6384)
@@ -1,15 +1,12 @@
-# Compile and running environnemnet at Irene Amd / TGCC 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnemnet at Irene Amd / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/19.0.5.281
-module load mpi/openmpi/4.0.5
-module switch feature/openmpi/net/ib/ucx-rc
-module load flavor/hdf5/parallel netcdf-fortran/4.4.4 hdf5/1.8.20
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco/4.9.1 cdo/1.9.5
-module load c++/gnu/7.3 c/gnu/7.3
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: /CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE.env
===================================================================
--- /CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE.env	(revision 6383)
+++ /CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE.env	(revision 6384)
@@ -1,19 +1,12 @@
-# Compile and running environnemnet at Irene Skylake 
-
-# Allow error messages related to purge
-set +e
+# Compile and running environnement at Irene SKL / TGCC on redhat8
+set +e 
 module purge
-#set -e
-
-module load intel/17.0.6.256
-module load mpi/openmpi/2.0.4
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
 module load flavor/hdf5/parallel
-module load netcdf-fortran/4.4.4
-module load mkl/17.0.6.256
-module load hdf5/1.8.20
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
 module load feature/bridge/heterogenous_mpmd
-module load nco
-module load cdo
-module load c++/gnu/7.3.0
-module load c/gnu/7.3.0
-
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0