Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6394)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6409)
@@ -13,4 +13,9 @@
 VEGET_UPDATE=1Y
 
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=standard
 
 # Specify output level for output files
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6394)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6409)
@@ -11,4 +11,10 @@
 # VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
 VEGET_UPDATE=0Y
+
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=standard
 
 # Specify output level for output files
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card_routage_simple
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card_routage_simple	(revision 6409)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card_routage_simple	(revision 6409)
@@ -0,0 +1,89 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# Select the PFT and age class set-up. NOTE: the number of PFTs should match the 
+# number in the land cover and maps. The number of age classes does not affect the
+# maps that can be used.
+DefSuffix = 15pft.1ac
+
+# VEGET_UPDATE=0Y : default, do not update the vegetation and woodharvest file except if starting without restart file
+# VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
+VEGET_UPDATE=0Y
+
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=simple
+
+# Specify output level for output files
+# Only the files sechiba_history.nc, sechiba_out_2.nc and sechiba_history_4dim.nc can be set here.
+# output_level_filename=0     : lowest level writing only variables needed for the monitoring
+# output_level_filename=12    : highest level which will output all variables
+# output_level_filename=NONE  : deactivate the file
+output_level_sechiba_history = 11
+output_level_sechiba_out_2 = NONE
+output_level_sechiba_history_4dim = 11
+
+# Specify output frequency for each file [1y, 1mo, 1d, 10800s, 1ts]
+# Settings using WriteFrequency in config.card is not longer used
+output_freq_sechiba_history = 1mo
+output_freq_sechiba_out_2 = 10800s
+output_freq_sechiba_history_4dim = 1mo
+
+
+[InitialStateFiles]
+List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
+	(${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
+	(${R_IN}/SRF/reftemp.nc, . ), \
+        (${R_IN}/SRF/cartepente2d_15min.nc, .)
+
+[BoundaryFiles]
+List= ()
+ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_2000.nc, PFTmap.nc),\
+            (${R_IN}/SRF/ROUTING/routing_simple.nc, .)
+
+[SmoothFiles]
+List= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def, .)   ,\
+	(${SUBMIT_DIR}/PARAM/orchidee_pft.def_${DefSuffix}, orchidee_pft.def) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_routing_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+
+[RestartFiles]
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc),\
+        (routing_restart.nc, routing_restart.nc, routing_start.nc)
+	
+[OutputText]
+List=   (out_orchidee, orchidee.def, orchidee_pft.def, used_orchidee.def, used_orchidee_pft.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+
+[OutputFiles]
+List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_history_4dim.nc,${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
+        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE),\
+        (diag_routing.nc,        ${R_OUT_SRF_O_D}/${PREFIX}_1D_sechiba_routing.nc, NONE)
+
+[Post_1M_sechiba_history]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
+ChunckJob3D = NONE
+Seasonal = ON
+
+[Post_HF_sechiba_out_2]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (mrsos, mrro)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (ptn)
+ChunckJob3D = 10Y
+Seasonal = OFF
+