Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 6409)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 6410)
@@ -13,5 +13,6 @@
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
 # LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
-LMDZ_Physics=NPv6.1.3
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -100,4 +101,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
@@ -125,5 +127,5 @@
 List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
         (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
         (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
         (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6409)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6410)
@@ -7,6 +7,13 @@
 DefSuffix=CWRR
 
+# VEGET_UPDATE=0Y : default, do not update the vegetation and woodharvest file except if starting without restart file
+# VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
 VEGET_UPDATE=1Y
 
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=standard
 
 # Specify output level for output files
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6409)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6410)
@@ -10,5 +10,5 @@
 #----- Short Name of Experiment
 ExperimentName=amip
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="LMDZOR configuration"
@@ -127,6 +127,4 @@
 #D-- Post -
 [Post]
-#D- RebuildFrequency determines the frequency of rebuild submission
-RebuildFrequency=NONE
 #D- PackFrequency determines the frequency of pack submission
 PackFrequency=10Y
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 6409)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 6410)
@@ -13,5 +13,6 @@
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
 # LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
-LMDZ_Physics=NPv6.1.3
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -95,4 +96,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
@@ -120,5 +122,5 @@
 List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
         (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
         (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
         (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6409)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6410)
@@ -14,4 +14,10 @@
 # VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
 VEGET_UPDATE=0Y
+
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=standard
 
 # Specify output level for output files
@@ -32,7 +38,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card_routage_simple
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card_routage_simple	(revision 6410)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card_routage_simple	(revision 6410)
@@ -0,0 +1,92 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# The variable DefSuffix gives the suffix of the orchidee.def file to be used.
+# By default the file orchidee.def_CWRR will be selected.
+DefSuffix=CWRR
+
+# VEGET_UPDATE_at_start=y : orchidee.driver will set VEGET_UPDATE=1Y at the first cumul period when starting a new simulation. 
+#                           After the first period, VEGET_UPDATE will be set according to the choice done below.  
+VEGET_UPDATE_at_start=n
+
+# VEGET_UPDATE=0Y : default, do not update the vegetation and woodharvest file except if starting without restart file
+# VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
+VEGET_UPDATE=0Y
+
+# Choice for routing scheme. Set ROUTING below to have following parameters set in orchidee.def : 
+# ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
+# ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
+ROUTING=simple
+
+# Specify output level for output files
+# Only the files sechiba_history.nc, sechiba_out_2.nc and sechiba_history_4dim.nc can be set here.
+# output_level_filename=0     : lowest level writing only variables needed for the monitoring
+# output_level_filename=12    : highest level which will output all variables
+# output_level_filename=NONE  : deactivate the file
+output_level_sechiba_history = 11
+output_level_sechiba_out_2 = NONE
+output_level_sechiba_history_4dim = 11
+
+# Specify output frequency for each file [1y, 1mo, 1d, 10800s, 1ts]
+# Settings using WriteFrequency in config.card is not longer used
+output_freq_sechiba_history = 1mo
+output_freq_sechiba_out_2 = 10800s
+output_freq_sechiba_history_4dim = 1mo
+
+
+[InitialStateFiles]
+List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
+	(${R_IN}/SRF/reftemp.nc, . ), \
+        (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
+        (${R_IN}/SRF/cartepente2d_15min.nc, .)
+
+[BoundaryFiles]
+List= ()
+ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_2000.nc, PFTmap.nc),\
+            (${R_IN}/SRF/ROUTING/routing_simple.nc, .),\
+            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_2000.nc,           woodharvest.nc),\
+
+[SmoothFiles]
+List= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/context_routing_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+
+[RestartFiles]
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc),\
+        (routing_restart.nc, routing_restart.nc, routing_start.nc)
+
+[OutputText]
+List=   (out_orchidee*, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+
+[OutputFiles]
+List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_history_4dim.nc,${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
+        (diag_routing.nc,        ${R_OUT_SRF_O_D}/${PREFIX}_1D_sechiba_routing.nc, NONE), \
+        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE)
+
+[Post_1M_sechiba_history]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
+ChunckJob3D = NONE
+Seasonal = ON
+
+[Post_HF_sechiba_out_2]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (mrsos, mrro)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (ptn)
+ChunckJob3D = 10Y
+Seasonal = OFF
+
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6409)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6410)
@@ -10,5 +10,5 @@
 #----- Short Name of Experiment
 ExperimentName=clim
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="LMDZOR configuration"
@@ -127,6 +127,4 @@
 #D-- Post -
 [Post]
-#D- RebuildFrequency determines the frequency of rebuild submission
-RebuildFrequency=NONE
 #D- PackFrequency determines the frequency of pack submission
 PackFrequency=1Y