Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/lmdz.card	(revision 6417)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/lmdz.card	(revision 6419)
@@ -78,5 +78,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
-        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
+        (${SUBMIT_DIR}/PARAM/file_def_histmth_lmdz.xml, . ),                \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/nudging_dynamico.xml
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/nudging_dynamico.xml	(revision 6419)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/nudging_dynamico.xml	(revision 6419)
@@ -0,0 +1,261 @@
+<!-- =========================================================================================================== -->
+<!-- nudging_dynamico.xml                                                                                           -->
+<!-- Definition of nudging input/output                                          -->
+<!-- =========================================================================================================== -->
+<context id="icosagcm" >
+
+
+  <!-- output forcing field for nudging  -->
+
+  <file_definition>
+
+      <file id="nudging_forcing" enabled="false" output_freq="3h" >
+         <field_group operation="instant" domain_ref="domain_forcing" freq_offset="0ts">
+            <field field_ref="ulon_forcing" name="u"/>
+            <field field_ref="ulat_forcing" name="v"/>
+            <field field_ref="temp_forcing" name="t"/>
+            <field field_ref="ps_forcing" name="sp" />
+            <field field_ref="p_forcing" name="pressure"/>
+            <field field_ref="H2O-g_forcing"  name="q"/>
+            <field field_ref="H2O-l_forcing"  name="clwc"/>
+            <field field_ref="H2O-s_forcing"  name="ciwc"/>
+         </field_group>
+      </file > 
+
+   </file_definition>
+   
+   <field_definition>
+ 
+      <field_group domain_ref="i">
+        <field id="ulon_forcing"  axis_ref="lev"/>
+        <field id="ulat_forcing"  axis_ref="lev"/>
+        <field id="temp_forcing"  axis_ref="lev"/>
+        <field id="ps_forcing" />
+        <field id="p_forcing" axis_ref="lev"/>
+        <field id="H2O-g_forcing"   axis_ref="lev"/>
+        <field id="H2O-l_forcing"   axis_ref="lev"/>
+        <field id="H2O-s_forcing"   axis_ref="lev"/>
+      </field_group>   
+   
+   </field_definition>
+
+   <domain_definition>
+     <domain id="domain_forcing" type="rectilinear" >
+       <generate_rectilinear_domain id="nudging_zone"  />
+       <interpolate_domain order="2"/>
+     </domain>
+   </domain_definition>
+
+
+
+
+<!-- =========================================================================================================== -->
+<!-- nudging configuration -->
+
+  <file_definition>
+     
+    <file_group id="nudging_files" enabled="false">  <!-- enabled will be set from model in nudging case --> 
+    
+       <file id="nudging_out" enabled="false" output_freq="1h" sync_freq="1ts" output_level="10" > 
+          <field_group freq_offset="0ts" scale_factor="_reset_" add_offset="_reset_">
+            <field field_ref="ulon_nudged" scale_factor="_reset_" add_offset="_reset_"/>
+            <field field_ref="ulat_nudged" scale_factor="_reset_" add_offset="_reset_"/>
+            <field field_ref="temp_nudged"  scale_factor="_reset_" add_offset="_reset_"/>
+            <field field_ref="ps_nudged" scale_factor="_reset_" add_offset="_reset_"/>
+          </field_group>
+        </file>
+
+       <file id="nudging_test" enabled="false" output_freq="1ts" sync_freq="1ts" output_level="10" > 
+          <field id="coeff_i" domain_ref="i" operation="instant" enabled="true" prec="8"/>
+          <field id="ps_nudged_out" domain_ref="i" operation="instant" enabled="true" prec="8"/>
+          <field id="temp_nudged_out" domain_ref="i" axis_ref="lev" operation="instant" enabled="true" prec="8" />
+       </file>
+
+
+       <file id="nudging_in" name="nudging_forcing" enabled="false" output_freq="1h" mode="read" record_offset="1" time_counter_name="time" cyclic="true">
+         <field_group   operation="instant" freq_offset="1ts" >
+            <field id="ps_nudged_read"     name="sp"     domain_ref="domain_nudged" />
+            <field id="p_nudged_read"       name="pressure"     domain_ref="domain_nudged" axis_ref="axis_nudged" enabled="false" />
+<!--
+            <field id="ulon_nudged_read"   name="u"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="ulat_nudged_read"   name="v"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+-->
+            <field id="temp_nudged_read"   name="t"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-g_nudged_read"   name="q"     domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-l_nudged_read"   name="clwc"  domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-s_nudged_read"   name="ciwc"  domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="q_nudged_read"      name="q"    grid_ref="grid_q_nudged" enabled="false"/>
+         </field_group>
+       </file>
+
+       <file id="nudging_in0" name="nudging_forcing" enabled="false" output_freq="1000y" mode="read" record_offset="0" time_counter_name="time">
+         <field_group   operation="once" freq_offset="1ts" >
+            <field id="ps_nudged_read0"     name="sp"      domain_ref="domain_nudged" />
+            <field id="p_nudged_read0"       name="pressure"     domain_ref="domain_nudged" axis_ref="axis_nudged" enabled="false"/>
+<!--
+            <field id="ulon_nudged_read0"   name="u"       domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="ulat_nudged_read0"   name="v"       domain_ref="domain_nudged" axis_ref="axis_nudged" />
+-->
+            <field id="temp_nudged_read0"   name="t"       domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-g_nudged_read0"   name="q"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-l_nudged_read0"   name="clwc"   domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-s_nudged_read0"   name="ciwc"   domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="q_nudged_read0"      name="q"    grid_ref="grid_q_nudged" enabled="false"/>
+         </field_group>
+      </file>
+
+
+     <file id="nudgingU_in" name="u" enabled="true" output_freq="6h" cyclic="true" time_counter_name="time" mode="read" record_offset="1">
+       <field_group   operation="instant" freq_offset="1ts" >
+          <field id="ulon_nudged_read"   name="u" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+     <file id="nudgingV_in" name="v" enabled="true" output_freq="6h" mode="read" cyclic="true" time_counter_name="time" record_offset="1">
+       <field_group   operation="instant" freq_offset="1ts" >
+          <field id="ulat_nudged_read"   name="v" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+
+     <file id="nudgingU_in0" name="u" enabled="true" output_freq="1000y" mode="read" time_counter_name="time" record_offset="0">
+       <field_group   operation="once" freq_offset="1ts" >
+          <field id="ulon_nudged_read0"   name="u" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+
+     <file id="nudgingV_in0" name="v" enabled="true" output_freq="1000y" mode="read" time_counter_name="time" record_offset="0">
+       <field_group   operation="once" freq_offset="1ts" >
+          <field id="ulat_nudged_read0"   name="v" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+   
+     </file_group>
+   
+   </file_definition>
+
+
+
+   <field_definition>
+
+      <field id="temp_nudged_horiz_interp" field_ref="temp_nudged_read"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulon_nudged_horiz_interp" field_ref="ulon_nudged_read"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulat_nudged_horiz_interp" field_ref="ulat_nudged_read"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="q_nudged_horiz_interp"    field_ref="q_nudged_read"     grid_ref="grid_q_from_nudged_horiz_interp"/>
+      <field id="H2O-g_nudged_horiz_interp"    field_ref="H2O-g_nudged_read"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-l_nudged_horiz_interp"    field_ref="H2O-l_nudged_read"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-s_nudged_horiz_interp"    field_ref="H2O-s_nudged_read"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+
+      <field_group id="nudging_fields" read_access="false"> <!-- read_access will be set from model  -->
+         <field id="ps_nudged"    field_ref="ps_nudged_read" domain_ref="from_nudged"/>
+
+         <field id="p_nudged_horiz_interp" field_ref="p_nudged_read" domain_ref="from_nudged" axis_ref="axis_nudged" read_access="false" /> <!-- read_access will be set from model  -->
+
+         <field id="temp_nudged"  field_ref="temp_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="ulon_nudged"  field_ref="ulon_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="ulat_nudged"  field_ref="ulat_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="ulat_nudged"  field_ref="ulat_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="H2O-g_nudged" field_ref="H2O-g_nudged_horiz_interp" domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="H2O-l_nudged" field_ref="H2O-l_nudged_horiz_interp" domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="H2O-s_nudged" field_ref="H2O-s_nudged_horiz_interp" domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="q_nudged"    field_ref="q_nudged_horiz_interp"     grid_ref="grid_q_from_nudged"/>
+      </field_group>
+
+      <field id="p_nudged"  domain_ref="i" axis_ref="lev" /> <!--sent from model-->    
+ 
+ 
+      <field id="temp_nudged_horiz_interp0" field_ref="temp_nudged_read0"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulon_nudged_horiz_interp0" field_ref="ulon_nudged_read0"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulat_nudged_horiz_interp0" field_ref="ulat_nudged_read0"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="q_nudged_horiz_interp0"    field_ref="q_nudged_read0"     grid_ref="grid_q_from_nudged_horiz_interp"/>
+      <field id="H2O-g_nudged_horiz_interp0"    field_ref="H2O-g_nudged_read0"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-l_nudged_horiz_interp0"    field_ref="H2O-l_nudged_read0"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-s_nudged_horiz_interp0"    field_ref="H2O-s_nudged_read0"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+
+      <field_group id="nudging_fields0" read_access="false"> <!-- read_access will be set from model  -->
+         <field id="ps_nudged0"    field_ref="ps_nudged_read0" domain_ref="from_nudged"/>
+
+         <field id="p_nudged_horiz_interp0" field_ref="p_nudged_read0" domain_ref="from_nudged" axis_ref="axis_nudged" read_access="false"/> <!-- read_access will be set from model  -->
+       
+         <field id="temp_nudged0" field_ref="temp_nudged_horiz_interp0"  domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="ulon_nudged0" field_ref="ulon_nudged_horiz_interp0"  domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="ulat_nudged0" field_ref="ulat_nudged_horiz_interp0"  domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="q_nudged0"    field_ref="q_nudged_horiz_interp0"     grid_ref="grid_q_from_nudged0"/>
+         <field id="H2O-g_nudged0" field_ref="H2O-g_nudged_horiz_interp0" domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="H2O-l_nudged0" field_ref="H2O-l_nudged_horiz_interp0" domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="H2O-s_nudged0" field_ref="H2O-s_nudged_horiz_interp0" domain_ref="from_nudged" axis_ref="from_nudged0"/>
+      </field_group>
+
+      <field id="p_nudged0"  domain_ref="i" axis_ref="lev" /> <!--sent from model-->    
+ 
+ 
+  </field_definition>  
+
+
+
+   
+   <domain_definition>
+     <domain id="domain_nudged" type="rectilinear">
+       <generate_rectilinear_domain/>
+     </domain>
+     
+    <domain id="from_nudged" domain_ref="i">
+       <interpolate_domain order="1" />
+    </domain>
+
+   </domain_definition>
+   
+   <axis_definition>
+     <axis id="axis_nudged" name="level" axis_type="Z" convert_from_factor="100" /> <!-- ERA5 files are in milibar => pascal --> 
+
+     <axis id="nudged_vert_interp_src_dest"  axis_ref="lev">
+       <interpolate_axis order="1" coordinate_src="p_nudged_horiz_interp" coordinate_dst="p_nudged" />
+     </axis>   
+
+     <axis id="nudged_vert_interp_src_dest0"  axis_ref="lev">
+       <interpolate_axis order="1" coordinate_src="p_nudged_horiz_interp0" coordinate_dst="p_nudged0" />
+     </axis>   
+
+     <axis id="nudged_vert_interp_dest"  axis_ref="lev">
+       <interpolate_axis order="1" coordinate_dst="p_nudged" />
+     </axis> 
+
+
+     <axis id="from_nudged"  axis_ref="axis_nudged" /> <!-- axis_ref will be set from model -->
+
+     <axis id="from_nudged0" axis_ref="axis_nudged" /> <!-- axis_ref will be set from model -->   
+     
+   </axis_definition>
+
+   
+   <grid_definition>
+   
+     <grid id="grid_q_nudged">
+       <domain domain_ref="domain_nudged" />
+       <axis axis_ref="axis_nudged" />
+       <axis axis_ref="nq" />
+     </grid>
+
+    <grid id="grid_q_from_nudged_horiz_interp">
+       <domain domain_ref="from_nudged" />
+       <axis axis_ref="axis_nudged" />
+       <axis axis_ref="nq" />
+     </grid>
+ 
+     <grid id="grid_q_from_nudged">
+       <domain domain_ref="from_nudged" />
+       <axis axis_ref="from_nudged" />
+       <axis axis_ref="nq" />
+     </grid>
+
+     <grid id="grid_q_from_nudged0">
+       <domain domain_ref="from_nudged" />
+       <axis axis_ref="from_nudged0" />
+       <axis axis_ref="nq" />
+     </grid>
+   
+   </grid_definition>
+    
+</context>