Index: CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/pisces.card	(revision 6138)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/pisces.card	(revision 6443)
@@ -14,20 +14,19 @@
 List=	()
 
-ListNonDel= (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DIC_GLODAPv2.1_annual_eORCA_R1.nc         , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Alkalini_GLODAPv2.1_annual_eORCA_R1.nc    , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/O2_WOA2009_monthly_eORCA_R1.nc            , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PO4_WOA2009_monthly_eORCA_R1.nc           , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Si_WOA2009_monthly_eORCA_R1.nc            , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DOC_PISCES_monthly_eORCA_R1.nc            , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Fer_PISCES_monthly_eORCA_R1.nc            , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/NO3_WOA2009_monthly_eORCA_R1.nc           , . ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Dust_inca_LOI/DUST_INCA_LOI6012-histAER_1M_1850.nc, dust.orca.nc       ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Dust_inca_LOI/weights_LMD144142_eORCA1_bilinear.nc , weights_lmd144142_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Ndep_input4MIPs/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_185001-185012-clim.nc , ndeposition.orca.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_eORCA1_bilinear.nc, weights_2d_bilin.nc), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_pmarge_etopo.nc                    , bathy.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_river_global_news.nc               , river.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_par_fraction_gewex_clim90s00s_366days.nc   , par.orca.nc        ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_Solubility_T62_Mahowald.nc         , solubility.orca.nc )
+ListNonDel= (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PiDIC_GLODAPv2_Lauvset2016_r360x180xl75.nc, data_DIC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/TALK_GLODAPv2_Lauvset2016_r360x180xl75.nc , data_ALK_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/O2_WOA2013_r360x180xl75.nc                , data_OXY_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PO4_WOA2013_r360x180xl75.nc               , data_PO4_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Si_WOA2013_r360x180xl75.nc                , data_SIL_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DOC_PISCES_monthly_r360x180xl75.nc        , data_DOC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Fer_FEMIP_model_median_r360x180xl75.nc    , data_FER_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/NO3_WOA2013_r360x180xl75.nc               , data_NO3_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_2D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc)
 
 										  
@@ -36,20 +35,18 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref         , namelist_pisces_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
-     	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}_cfg               , namelist_top_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                         , namelist_pisces_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/namelist_trc_cfg                            , namelist_trc_cfg           ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-pisces.xml          , file_def_nemo-pisces.xml   )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref      , namelist_top_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref   , namelist_pisces_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref      , namelist_trc_ref   ), \
+        (${SUBMIT_DIR}/../SOURCES/NEMO/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${SUBMIT_DIR}/../SOURCES/NEMO/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
+        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-pisces.xml    , file_def_nemo-pisces.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_top_${RESOL_OCE}_cfg         , namelist_top_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_pisces_cfg                   , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_trc_cfg                      , namelist_trc_cfg           )
+
 
 
 [RestartFiles]
 List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
-
-[OutputText]
-List=   (namelist_top_ref, namelist_top_cfg,  namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
 
 [OutputText]