Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE-AMD.path
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE-AMD.path	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE-AMD.path	(revision 6448)
@@ -2,4 +2,8 @@
 NETCDF_LIBDIR="-L $NETCDFC_LIBDIR -L $NETCDFFORTRAN_LIBDIR"
 NETCDF_LIB="-lnetcdf -lnetcdff"
+
+NETCDF95_INCDIR=-I/ccc/cont003/home/igcmg/igcmg/Tools/irene/include/NetCDF95
+NETCDF95_LIBDIR=-L/ccc/cont003/home/igcmg/igcmg/Tools/irene/lib
+NETCDF95_LIB=-lnetcdf95 
 
 HDF5_INCDIR=""
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.env
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.env	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.env	(revision 6448)
@@ -1,3 +1,3 @@
-# Compile and running environnemnet at Irene SKL / TGCC on redhat8
+# Compile and running environnement at Irene SKL / TGCC on redhat8
 set +e 
 module purge
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.path
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.path	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/ARCH/arch-X64_IRENE.path	(revision 6448)
@@ -2,4 +2,8 @@
 NETCDF_LIBDIR="-L $NETCDFC_LIBDIR -L $NETCDFFORTRAN_LIBDIR"
 NETCDF_LIB="-lnetcdf -lnetcdff"
+
+NETCDF95_INCDIR=-I/ccc/cont003/home/igcmg/igcmg/Tools/irene/include/NetCDF95
+NETCDF95_LIBDIR=-L/ccc/cont003/home/igcmg/igcmg/Tools/irene/lib
+NETCDF95_LIB=-lnetcdf95 
 
 HDF5_INCDIR=""
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/dynamico.card	(revision 6448)
@@ -29,5 +29,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_hadisst/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_hadisst/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_hadisst/COMP/dynamico.card	(revision 6448)
@@ -29,5 +29,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/aquaplanet/CREATE_aquaplanet/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/aquaplanet/CREATE_aquaplanet/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/aquaplanet/CREATE_aquaplanet/COMP/dynamico.card	(revision 6448)
@@ -29,5 +29,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/aquaplanet/climAQUA_360d/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/aquaplanet/climAQUA_360d/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/aquaplanet/climAQUA_360d/COMP/dynamico.card	(revision 6448)
@@ -29,5 +29,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamico.card	(revision 6448)
@@ -38,5 +38,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/dynamico.card	(revision 6448)
@@ -38,5 +38,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap_ORCHv4/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap_ORCHv4/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap_ORCHv4/COMP/dynamico.card	(revision 6448)
@@ -38,5 +38,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/highresmip/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/highresmip/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/highresmip/COMP/dynamico.card	(revision 6448)
@@ -38,5 +38,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/highresmip_CMIP6/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/highresmip_CMIP6/COMP/dynamico.card	(revision 6445)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/highresmip_CMIP6/COMP/dynamico.card	(revision 6448)
@@ -38,5 +38,5 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-	(${SUBMIT_DIR}/PARAM/sponge_dynamico.xml, .),\
+	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE-AMD.path
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE-AMD.path	(revision 6445)
+++ CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE-AMD.path	(revision 6448)
@@ -3,6 +3,6 @@
 NETCDF_LIB="-lnetcdf -lnetcdff"
 
-NETCDF95_INCDIR=-I/ccc/work/cont003/gencmip6/guezl/build/Libraries_ifort_17_release/NetCDF95/modules
-NETCDF95_LIBDIR=-L/ccc/work/cont003/gencmip6/guezl/build/Libraries_ifort_17_release/NetCDF95
+NETCDF95_INCDIR=-I/ccc/cont003/home/igcmg/igcmg/Tools/irene/include/NetCDF95
+NETCDF95_LIBDIR=-L/ccc/cont003/home/igcmg/igcmg/Tools/irene/lib
 NETCDF95_LIB=-lnetcdf95 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE.path
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE.path	(revision 6445)
+++ CONFIG/UNIFORM/v7/IPSLCM7/ARCH/arch-X64_IRENE.path	(revision 6448)
@@ -3,6 +3,6 @@
 NETCDF_LIB="-lnetcdf -lnetcdff"
 
-NETCDF95_INCDIR=-I/ccc/work/cont003/gencmip6/guezl/build/Libraries_ifort_17_release/NetCDF95/modules
-NETCDF95_LIBDIR=-L/ccc/work/cont003/gencmip6/guezl/build/Libraries_ifort_17_release/NetCDF95
+NETCDF95_INCDIR=-I/ccc/cont003/home/igcmg/igcmg/Tools/irene/include/NetCDF95
+NETCDF95_LIBDIR=-L/ccc/cont003/home/igcmg/igcmg/Tools/irene/lib
 NETCDF95_LIB=-lnetcdf95 
 