Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/orchidee.def_v4
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/orchidee.def_v4	(revision 6450)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/orchidee.def_v4	(revision 6452)
@@ -1,5 +1,5 @@
-# $HeadURL$
-# $Date$
-# $Revision$
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/orchidee.def $
+# $Date: 2023-05-12 13:04:57 +0200 (ven. 12 mai 2023) $
+# $Revision: 8000 $
 
 #**************************************************************************
@@ -17,7 +17,4 @@
 # Parameters that should be removed once these issues are resolved
 #**************************************************************************
-# This patch should be accepted or rejected and the flag should then
-# be removed
-LNVGRASSPATCH=y
 
 # From a scientific point of view hydraulic architecture is much nicer
@@ -28,10 +25,10 @@
 ENERGY_CONTROL=2
 
-# Although we now have global forest management maps that could be
-# used in the spinup, the interpretation of the results is easier if
-# all pixels have the same forest management.
+# Prescribe forest management to facilitate the interpretation of the
+# results when comparing versions.
 OK_READ_FM_MAP=n
-FOREST_MANAGED_FORCED=1
-
+
+# Hack to use a higher threshold for small lai in the calculation of kB_m1 in condveg 
+HACK_KB_M1 = y
 
 # Parameters related to the restart file and the start date
@@ -50,7 +47,5 @@
 # Use XIOS for writing diagnostics file
 # (defualt y)
-# All IOIPSL output are deactivated if XIOS_ORCHIDEE_OK=y
 XIOS_ORCHIDEE_OK = y
-
 
 # Parameters related to debugging and error checking
@@ -106,6 +101,6 @@
 # Hydrology parameters
 #**************************************************************************
-# Activate river routing.
-# (default y)
+# Activate river routing
+# default = y
 RIVER_ROUTING = _AUTO_
 
@@ -154,5 +149,5 @@
 # Controls several settings related to the energy budget and water stress.
 # 1 - DEFAULT uses the enerbil module in combination with the hydraulic
-# architecture (ok_hydrol_arch and ok_gs_feedback true, while   
+# architecture (ok_hydrol_arch and ok_gs_feedback true, while 
 # ok_mleb and ok_impose_canopy_structure are set to false).
 # 2 - option to use enerbil module and original water stress
@@ -165,5 +160,5 @@
 # 4 - multi-layer energy budget: ok_hydrol_arch, ok_gs_feedback and ok_mleb all TRUE.
 # ok_impose_canopy_structure is False, and the energy budget is calculated for
-# multiple layers (jnlvls=29,jnlvls_under=10,jnlvls_canopy=10,jnlvls_over=9).
+# multiple layers (jnlvls=29,jnlvls_under=10,jnlvls_canopy=10,jnlvls_over=9).    
 # No mleb output, ok_mleb_history_file is set to  FALSE.
 # 5 - user specific: user specific settings for these controls and layers will need
@@ -171,22 +166,19 @@
 #ENERGY_CONTROL=1
 
+
 # Carbon related parameters
 #**************************************************************************
-# Activate Stomate component
-# (default y)
-STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
-
 # Analytic spinup
 # (default n)
-SPINUP_ANALYTIC = n 
+SPINUP_ANALYTIC = n
 SPINUP_PERIOD = 10
 
+# Activate Stomate component
+# (default y)
+STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
+
 # As an alternative to DO_WOOD_HARVEST forest management can be accounted
-# for. Unless a map is read (OK_READ_FM_MAP=y) all forest will be
-# managed by the same management strategy (FOREST_MANAGED_FORCED=iFM).
-# iFM = 1 is unmanaged, iFM = 2 is a thin and fell strategy, iFM = 3 is a
-# coppice strategy and iFM = 4 is a short rotation coppice strategy.
-# (default 2) 
-#OK_READ_FM_MAP=y
+# for. DO_WOOD_HARVEST is not yet available in ORCHIDEE v4.
+# OK_READ_FM_MAP=y
 
 # Parameters related to nitrogen cycle
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/orchidee_pft.def_15pft.1ac_v4
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/orchidee_pft.def_15pft.1ac_v4	(revision 6450)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/orchidee_pft.def_15pft.1ac_v4	(revision 6452)
@@ -1,3 +1,5 @@
-
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/orchidee_pft.def_15pft.1ac $
+# $Date: 2023-05-12 13:04:57 +0200 (ven. 12 mai 2023) $
+# $Revision: 8000 $
 #***************************************************************************
 #            Set-up age classes
@@ -65,53 +67,19 @@
 
 # ALPHA_LL(mol e- (mol photon)-1)
-ALPHA_LL__01=-9999
-ALPHA_LL__02=0.53
-ALPHA_LL__03=0.53
-ALPHA_LL__04=0.3
-ALPHA_LL__05=0.3
-ALPHA_LL__06=0.3
-ALPHA_LL__07=0.3
-ALPHA_LL__08=0.3
-ALPHA_LL__09=0.3
-ALPHA_LL__10=0.3
-ALPHA_LL__11=0.3
-ALPHA_LL__12=0.3
-ALPHA_LL__13=0.3
 ALPHA_LL__14=0.3
 ALPHA_LL__15=0.43
 
 
-# COEFF_MAINT_INIT(???)
-COEFF_MAINT_INIT__01=-9999
-COEFF_MAINT_INIT__02=0.04531
-COEFF_MAINT_INIT__03=0.04
-COEFF_MAINT_INIT__04=0.07758
-COEFF_MAINT_INIT__05=0.02938
-COEFF_MAINT_INIT__06=0.361
-COEFF_MAINT_INIT__07=0.0318
-COEFF_MAINT_INIT__08=0.1072
-COEFF_MAINT_INIT__09=0.1072
-COEFF_MAINT_INIT__10=0.06
-COEFF_MAINT_INIT__11=0.05
-COEFF_MAINT_INIT__12=0.05
-COEFF_MAINT_INIT__13=0.08
+# COEFF_MAINT_INIT(gC.gN.day-1)
 COEFF_MAINT_INIT__14=0.07
 COEFF_MAINT_INIT__15=0.13
 
 
+# GDD_THRESHOLD(Celcius)
+GDD_THRESHOLD__14=5.0
+GDD_THRESHOLD__15=-5.0
+
+
 # HYDROL_HUMCSTE(unitless)
-HYDROL_HUMCSTE__01=1.0
-HYDROL_HUMCSTE__02=1.0
-HYDROL_HUMCSTE__03=1.0
-HYDROL_HUMCSTE__04=1.0
-HYDROL_HUMCSTE__05=1.0
-HYDROL_HUMCSTE__06=1.0
-HYDROL_HUMCSTE__07=1.0
-HYDROL_HUMCSTE__08=1.0
-HYDROL_HUMCSTE__09=1.0
-HYDROL_HUMCSTE__10=0.6
-HYDROL_HUMCSTE__11=0.6
-HYDROL_HUMCSTE__12=0.6
-HYDROL_HUMCSTE__13=0.6
 HYDROL_HUMCSTE__14=4.0
 HYDROL_HUMCSTE__15=0.6
@@ -119,17 +87,4 @@
 
 # IS_BOREAL(y/n)
-IS_BOREAL__01=FALSE
-IS_BOREAL__02=FALSE
-IS_BOREAL__03=FALSE
-IS_BOREAL__04=FALSE
-IS_BOREAL__05=FALSE
-IS_BOREAL__06=FALSE
-IS_BOREAL__07=TRUE
-IS_BOREAL__08=TRUE
-IS_BOREAL__09=TRUE
-IS_BOREAL__10=FALSE
-IS_BOREAL__11=FALSE
-IS_BOREAL__12=FALSE
-IS_BOREAL__13=FALSE
 IS_BOREAL__14=FALSE
 IS_BOREAL__15=TRUE
@@ -137,17 +92,4 @@
 
 # IS_TEMPERATE(y/n)
-IS_TEMPERATE__01=FALSE
-IS_TEMPERATE__02=FALSE
-IS_TEMPERATE__03=FALSE
-IS_TEMPERATE__04=TRUE
-IS_TEMPERATE__05=TRUE
-IS_TEMPERATE__06=TRUE
-IS_TEMPERATE__07=FALSE
-IS_TEMPERATE__08=FALSE
-IS_TEMPERATE__09=FALSE
-IS_TEMPERATE__10=TRUE
-IS_TEMPERATE__11=TRUE
-IS_TEMPERATE__12=TRUE
-IS_TEMPERATE__13=TRUE
 IS_TEMPERATE__14=FALSE
 IS_TEMPERATE__15=FALSE
@@ -155,17 +97,4 @@
 
 # K_LATOSA_MAX(unitless)
-K_LATOSA_MAX__01=-9999
-K_LATOSA_MAX__02=15000
-K_LATOSA_MAX__03=12000
-K_LATOSA_MAX__04=11000
-K_LATOSA_MAX__05=6000
-K_LATOSA_MAX__06=30000
-K_LATOSA_MAX__07=18000
-K_LATOSA_MAX__08=30000
-K_LATOSA_MAX__09=30000
-K_LATOSA_MAX__10=7000
-K_LATOSA_MAX__11=5500
-K_LATOSA_MAX__12=9500
-K_LATOSA_MAX__13=11000
 K_LATOSA_MAX__14=8500
 K_LATOSA_MAX__15=10000
@@ -173,53 +102,9 @@
 
 # K_LATOSA_MIN(unitless)
-K_LATOSA_MIN__01=-9999
-K_LATOSA_MIN__02=7500
-K_LATOSA_MIN__03=6000
-K_LATOSA_MIN__04=5600
-K_LATOSA_MIN__05=2989
-K_LATOSA_MIN__06=15310
-K_LATOSA_MIN__07=9120
-K_LATOSA_MIN__08=15310
-K_LATOSA_MIN__09=15310
-K_LATOSA_MIN__10=7000
-K_LATOSA_MIN__11=5500
-K_LATOSA_MIN__12=9500
-K_LATOSA_MIN__13=11000
 K_LATOSA_MIN__14=8500
 K_LATOSA_MIN__15=10000
 
 
-# LARGEST_TREE_DIA(m)
-LARGEST_TREE_DIA__01=-9999
-LARGEST_TREE_DIA__02=0.5
-LARGEST_TREE_DIA__03=0.5
-LARGEST_TREE_DIA__04=0.41
-LARGEST_TREE_DIA__05=0.35
-LARGEST_TREE_DIA__06=0.45
-LARGEST_TREE_DIA__07=0.45
-LARGEST_TREE_DIA__08=0.3
-LARGEST_TREE_DIA__09=0.3
-LARGEST_TREE_DIA__10=-9999
-LARGEST_TREE_DIA__11=-9999
-LARGEST_TREE_DIA__12=-9999
-LARGEST_TREE_DIA__13=-9999
-LARGEST_TREE_DIA__14=-9999
-LARGEST_TREE_DIA__15=-9999
-
-
 # LONGEVITY_SAP(days)
-LONGEVITY_SAP__01=-9999
-LONGEVITY_SAP__02=7300
-LONGEVITY_SAP__03=3766
-LONGEVITY_SAP__04=3600
-LONGEVITY_SAP__05=6643
-LONGEVITY_SAP__06=2140
-LONGEVITY_SAP__07=4046
-LONGEVITY_SAP__08=2140
-LONGEVITY_SAP__09=2140
-LONGEVITY_SAP__10=180
-LONGEVITY_SAP__11=180
-LONGEVITY_SAP__12=480
-LONGEVITY_SAP__13=480
 LONGEVITY_SAP__14=180
 LONGEVITY_SAP__15=240
@@ -227,16 +112,4 @@
 
 # MAINT_RESP_SLOPE_B(unitless)
-MAINT_RESP_SLOPE_B__02=-0.01
-MAINT_RESP_SLOPE_B__03=-0.01
-MAINT_RESP_SLOPE_B__04=-0.04
-MAINT_RESP_SLOPE_B__05=-0.02
-MAINT_RESP_SLOPE_B__06=-0.02
-MAINT_RESP_SLOPE_B__07=-0.01
-MAINT_RESP_SLOPE_B__08=-0.01
-MAINT_RESP_SLOPE_B__09=-0.01
-MAINT_RESP_SLOPE_B__10=-0.01
-MAINT_RESP_SLOPE_B__11=-0.0
-MAINT_RESP_SLOPE_B__12=-0.0
-MAINT_RESP_SLOPE_B__13=-0.01
 MAINT_RESP_SLOPE_B__14=-0.01
 MAINT_RESP_SLOPE_B__15=-0.02
@@ -244,16 +117,4 @@
 
 # MAINT_RESP_SLOPE_C(unitless)
-MAINT_RESP_SLOPE_C__02=0.44
-MAINT_RESP_SLOPE_C__03=0.6
-MAINT_RESP_SLOPE_C__04=0.2
-MAINT_RESP_SLOPE_C__05=0.6
-MAINT_RESP_SLOPE_C__06=0.3
-MAINT_RESP_SLOPE_C__07=0.3
-MAINT_RESP_SLOPE_C__08=0.4
-MAINT_RESP_SLOPE_C__09=0.4
-MAINT_RESP_SLOPE_C__10=0.5
-MAINT_RESP_SLOPE_C__11=0.5
-MAINT_RESP_SLOPE_C__12=0.5
-MAINT_RESP_SLOPE_C__13=0.7
 MAINT_RESP_SLOPE_C__14=0.55
 MAINT_RESP_SLOPE_C__15=0.75
@@ -265,7 +126,20 @@
 
 
+# PHENO_GDD_CRIT_A(unitless)
+PHENO_GDD_CRIT_A__14=0.03125
+PHENO_GDD_CRIT_A__15=0.03125
+
+
+# PHENO_GDD_CRIT_B(unitless)
+PHENO_GDD_CRIT_B__14=6.25
+PHENO_GDD_CRIT_B__15=6.25
+
+
+# PHENO_GDD_CRIT_C(K)
+PHENO_GDD_CRIT_C__14=320
+PHENO_GDD_CRIT_C__15=320
+
+
 # PHENO_MODEL(unitless)
-PHENO_MODEL__10=moigdd
-PHENO_MODEL__11=moigdd
 PHENO_MODEL__14=moi
 PHENO_MODEL__15=moigdd